//**********************************************************************
//
//	author 			: SolidFake
//	finished  		: 24st September 2007
//	contact  		: solid.fake@gmx.net
//	name   			: solidfake-born2race-fix.shader
//	produced for map	: SolidFake-born2race-fix
//	pk3			: SolidFake-born2race-fix
//	amount of shaders	: 4 Shaders
//	used textures		: bluelightning1.tga, tigerlogo256x256.tga, credits_born2race.tga
//	difficulty		: advanced
//
//  I have comment this shader for beginners to learn from.
//  If you want to use the shaders open the shaderlist.txt in your
//  basewsw/scripts/ folder and write the name at the end.
//  The first shader I have written by hand the second with q3ase.
//  Textures are all selfmade. More information in the pak file.
//
//**********************************************************************




//this is the shader for the lightning
textures/solidfake_gfx/bluelightning1
{
	qer_editorimage textures/solidfake_gfx/bluelightning1.tga
	surfaceparm alphashadow 		//alphachannel
	surfaceparm nonsolid			//passable
	surfaceparm trans 			//transparent
	cull disable 				//both sides watchable
	nopicmip 				//picmip doesn't influence this shader
	deformVertexes autosprite2		//shader is rotating on its longest axis to get ever in our vis
	qer_trans 0.5				//shown transparent in the radiant
	{					//overlay
		map textures/solidfake_gfx/bluelightning1.tga
		rgbGen identity
		tcMod scroll 2 0		//scrolls the texture in x/y axis
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}


//this is the shader for my logo(the orange/blue tiger) with the scrolling credits
textures/solidfake_credits/tigerlogo256x256
{
	qer_editorimage textures/solidfake_credits/tigerlogo256x256.tga
	nopicmip				//picmip doesn't influence this shader
	{					//this is the logo
		map textures/solidfake_credits/tigerlogo256x256.tga
	}
	{					//this are the credits
		map textures/solidfake_credits/credits_born2race.tga
		blendfunc blend			//overlays the texture with the alphachannel
		tcMod scroll 0 0.125		//scrolls the credits from down to the up
	}
}

//this is my own glass, it's very "milky"
textures/solidfake_gfx/glass_blue_1
{
	qer_editorimage textures/solidfake_gfx/glass_blue_1.tga
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/solidfake_gfx/glass_blue_1.tga
		blendfunc add	//is needed to create glass
	}
}


//this shader part file is written by acid for his map acidwdm2, but i deleted the water part
textures/acidwdm2/acidwdm2_sky
{
	qer_editorimage textures/acidwdm2/acidwdm2_sky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm sky
	skyParms env/acidwdm2/sky 128 -
}

